﻿<span>
    @for (int i = 1; i <= MaxValue; i++)
    {
        var currentLoopValue = i;
        <button @onclick="() => OnStarClick(currentLoopValue)"
                type="button"
                disabled="@Disabled"
                style="border: none; background: none; color: black">
            @{
                if (Value < currentLoopValue)
                {
                    // Display white star.
                    <span>&#9734;</span>
                }
                else
                {
                    // Display black Star.
                    <span>&#9733;</span>
                }
            }
        </button>
    }
</span>

@if (UseValidation == true)
{
    <ValidationMessage For="ValueExpression"></ValidationMessage>
}